First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 93286
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Sound Team <sound@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Georgi Georgiev <chutz@gg3.net>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
alsa-driver-1.0.9b.ebuild alsa-driver-1.0.9b.ebuild text/plain Dick Marinus 2005-08-15 13:06 0000 4.07 KB Details
alsa-driver-1.0.9b.ebuild alsa-driver-1.0.9b.ebuild text/plain Dick Marinus 2005-10-02 13:05 0000 4.12 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 93286 depends on: Show dependency tree
Bug 93286 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-05-19 20:52 0000
emerge alsa-driver-1.0.9_rc3 with collision-protect on, causes
collision-protect errors on the following files:

/lib/modules/${KV_FULL}/modules.{alias,ccwmap,dep,ieee1394map,inputmap,isapnpmap,pcimap,symbols,submap}

I patched and tested that the following solves the problem:

@@ -128,6 +128,8 @@
                mv ${D}/lib/modules/${KV_FULL}/kernel/sound
${D}/lib/modules/${KV_FULL}/${PN}
                rmdir ${D}/lib/modules/${KV_FULL}/kernel &> /dev/null
        fi
+
+       rm -f -v ${D}/lib/modules/${KV_FULL}/modules.*
 }

 pkg_postinst() {

------- Comment #1 From Dick Marinus 2005-07-11 11:25:17 0000 -------
quite annoying indeed :(

------- Comment #2 From Jonathan Smith 2005-07-18 05:57:02 0000 -------
any word?

------- Comment #3 From Dick Marinus 2005-08-15 13:06:52 0000 -------
Created an attachment (id=66018) [edit]
alsa-driver-1.0.9b.ebuild

--- /usr/portage/media-sound/alsa-driver/alsa-driver-1.0.9b.ebuild     
2005-07-21 06:05:50.000000000 +0200
+++ alsa-driver-1.0.9b.ebuild	2005-08-15 21:58:16.000000000 +0200
@@ -64,6 +64,7 @@
	fi

	convert_to_m ${S}/Makefile
+	sed -ie "s/\(.*depmod\)/#\1/" Makefile || die
 }

 src_compile() {
@@ -98,16 +99,7 @@


 src_install() {
-	dodir /usr/include/sound
-
-	make DESTDIR=${D} install || die "make install failed"
-
-	# Provided by alsa-headers now
-	rm -rf ${D}/usr/include/sound
-
-	# We have our own scripts in alsa-utils
-	test -e ${D}/etc/init.d/alsasound && rm ${D}/etc/init.d/alsasound
-	test -e ${D}/etc/rc.d/init.d/alsasound && rm
${D}/etc/rc.d/init.d/alsasound
+	make DESTDIR=${D} install-modules || die "make install failed"

	dodoc CARDS-STATUS INSTALL FAQ README WARNING TODO

==
this really fix things ;-) maybe DESTDIR should be changed to ${D}/${PN} so
that the last 5 lines from src_install can be removed...

------- Comment #4 From Dick Marinus 2005-10-02 13:05:18 0000 -------
Created an attachment (id=69747) [edit]
alsa-driver-1.0.9b.ebuild

--- /usr/portage/media-sound/alsa-driver/alsa-driver-1.0.9b.ebuild     
2005-08-26 00:35:47.000000000 +0200
+++ media-sound/alsa-driver/alsa-driver-1.0.9b.ebuild	2005-10-02
21:59:32.000000000 +0200
@@ -1,6 +1,6 @@
 # Copyright 1999-2005 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/media-sound/alsa-driver/alsa-driver-1.0.9b.ebuild,v 1.9
2005/08/25 22:17:04 chriswhite Exp $
+# $Header: $

 inherit linux-mod flag-o-matic eutils

@@ -64,6 +64,7 @@
	fi

	convert_to_m ${S}/Makefile
+	sed -ie "s/\(.*depmod\)/#\1/" Makefile || die
 }

 src_compile() {
@@ -98,16 +99,7 @@


 src_install() {
-	dodir /usr/include/sound
-
-	make DESTDIR=${D} install || die "make install failed"
-
-	# Provided by alsa-headers now
-	rm -rf ${D}/usr/include/sound
-
-	# We have our own scripts in alsa-utils
-	test -e ${D}/etc/init.d/alsasound && rm ${D}/etc/init.d/alsasound
-	test -e ${D}/etc/rc.d/init.d/alsasound && rm
${D}/etc/rc.d/init.d/alsasound
+	make DESTDIR=${D} install-modules || die "make install failed"

	dodoc CARDS-STATUS INSTALL FAQ README WARNING TODO



updated to current version in portage

------- Comment #5 From Diego E. 'Flameeyes' Pettenò 2005-10-31 10:25:36 0000 -------
Thanks, fixed in CVS 

First Last Prev Next    No search results available      Search page      Enter new bug